#387 closed defect (fixed)

libchip/ide messed up

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: unknown
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

libchip/ide contains low-quality code:

In file included from ../../../../../../../rtems-4-6-branch/c/src/libchip/ide/ata.c:27:
../../../../../../../rtems-4-6-branch/c/src/libchip/ide/ata_internal.h:328:1: warning: no newline at end of file
../../../../../../../rtems-4-6-branch/c/src/libchip/ide/ata.c: In function `ata_initialize':
../../../../../../../rtems-4-6-branch/c/src/libchip/ide/ata.c:1188: warning: implicit declaration of function `snprintf'

The snprintf thing seems to be newlib incompatibility to me.

Release:
RTEMS-4-6-branch

Environment:
powerpc-rtems-gcc-3.2-20021114/newlib-1.10.0-20021114

Attachments (1)

pr387.diff (1.2 KB) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:13 PM.
pr387.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Apr 15, 2003 at 12:03:59 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Attached patch committed.

2003-04-15 Joel Sherrill <joel@…>


PR 387/rtems_misc

  • ide/ata.c: Removed warning and moved to use of simpler libc routines.
  • ide/ata_internal.h: Added missing newline and end of file.

Changed on Dec 3, 2006 at 1:31:13 PM by Ralf Corsepius

Attachment: pr387.diff added

pr387.diff

comment:2 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.